Package Details: kmozillahelper 1:5.0.5-1

Git Clone URL: https://aur.archlinux.org/kmozillahelper.git (read-only, click to copy)
Package Base: kmozillahelper
Description: Mozilla KDE Integration.
Upstream URL: https://github.com/openSUSE/kmozillahelper
Keywords: firefox kde kmozillahelper plasma thunderbird
Licenses: MIT
Submitter: Thaodan
Maintainer: fordprefect
Last Packager: fordprefect
Votes: 36
Popularity: 0.43
First Submitted: 2015-08-14 10:48
Last Updated: 2020-01-23 09:46

Latest Comments

« First ‹ Previous 1 2 3 4 5 Next › Last »

oi_wtf commented on 2017-04-04 21:16

Missing dependencies, cmake says: (cmake stack traces removed for readability)

-- Could NOT find KF5Notifications: found neither KF5NotificationsConfig.cmake nor kf5notifications-config.cmake
-- Could NOT find KF5KIO: found neither KF5KIOConfig.cmake nor kf5kio-config.cmake
-- Could NOT find KF5WindowSystem: found neither KF5WindowSystemConfig.cmake nor kf5windowsystem-config.cmake
-- Could NOT find KF5I18n: found neither KF5I18nConfig.cmake nor kf5i18n-config.cmake
CMake Error at /usr/share/cmake-3.7/Modules/FindPackageHandleStandardArgs.cmake:138 (message):
Could NOT find KF5 (missing: Notifications KIO WindowSystem I18n)

-- Configuring incomplete, errors occurred!


So those packages should be added to either depends or makedepends:

* knotifications
* kio
* kwindowsystem
* ki18n

EDIT:
After fixing the above, I get:

CMake Error at /usr/share/cmake-3.7/Modules/FindPackageHandleStandardArgs.cmake:138 (message):
Could NOT find PythonInterp (missing: PYTHON_EXECUTABLE)

so python should be added to depends or makedepends, too.

hsantanna commented on 2017-03-28 19:34

I had experienced some bugs using this package, specially while saving files with Firefox. After selecting some path and filename with KDE frameworks's save file dialog Firefox actually will not save the download file, silently canceling the transfer, and will only really save the file if I try again and again to download and save the same file. I tested many times, with many different downloads and the behavior is the same.
Also, Firefox will crash to die if I select the option "Open the containing folder" after the download complete.

So I had to change to the kmozillahelper package instead, which uses kdelibs4 dialogs, but it also crashes on "Open the containing folder".

PS 0: I'd compiled firefox-kde-opensuse with GTK3 enabled.

PS 1: I just came to Arch from Chakra Linux, and there the main Firefox is the opensuse one. There I din't noticed any of this bugs, maybe they are using gtk2. I could even get the working dialog to "Select other program" to open the download file (and it works).

PS 2: Maybe I'm going to get with extra/firefox and those ugly gtk dialogs for a while.

BasT commented on 2016-11-29 18:17

Updated to current git as suggested and hopefully fixed the dependencies.

Thaodan commented on 2016-11-29 16:30

The problem is that many users didn't understood the issue: there's no official kf5 version of kmozillahelper tagged. There's an updated one one the git repo.
But it's not tagged as new version.
Better use this source.
To get more information read the comments below, or at kmozilllahelper

BasT commented on 2016-11-29 16:20

I temporarily took over the package in the hopes of finally having a working kmozillahelper in the AUR.

I'm not sure what you mean. Which "old sources"? With what are they incompatible? What are the new ones?

As far as I can tell the package is the same as before, only now you don't need an account with opensuse.

Feel free to take over the package if you like, or just post an improved PKGBUILD and I'll upload it

Thaodan commented on 2016-11-29 16:08

There's no reason for this as the old sources are incompatible anyway
You just added the patch to the old sources and use the wrong dependencies.

BasT commented on 2016-11-29 16:04

I updated the package to use the unrestricted source suggested by fordprefect.

Thaodan commented on 2016-09-26 11:11

He meant that after I update kmozillahelper to kf5 (which I was the maintainer of and got removed cause I didn't update it) he delets his pkg.
So please beware of this issue, I said over and over why I didn't updated kmozilla-helper and got still removed from the maintainership of the pkg.

flying-sheep commented on 2016-09-26 10:58

@maz-1 could you please do this?

Thaodan commented on 2016-09-18 00:48

it isn't tagged in the projectg repo, but opensuse the creater of the pkg changed the version of their pkg to 0.6.5.
Wolfgang Rosenauer the maintainer of the patchset is quite active, the patches are always up to date for the latest firefox version.